Samsung Unified Linux Driver Repository Forum

SULDR => Using the Repository => Topic started by: Johan on September 15, 2016, 17:53:19

Title: Cannot add PPA: ''This PPA does not support trusty''. (SOLVED)
Post by: Johan on September 15, 2016, 17:53:19
On a shiny new Linux Mint 17.3 (Rosa) Mate installation, while carefully following the instructions on this site, synaptic displays this message:

Cannot add PPA: ''This PPA does not support trusty''.

...when I try to add...

deb http://www.bchemnet.com/suldr/ debian extra

...as a PPA.

Printer is a C410. Please advise. Thanks,

Johan
Title: Re: Cannot add PPA: ''This PPA does not support trusty''.
Post by: bchemnet on September 17, 2016, 06:32:23
The repository is not a PPA.  I'm not sure if under Ubuntu-based systems if there is a separate process for adding PPAs vs other repositories; I know in the past Ubuntu has added an extra interface that is not actually part of Synaptic and that can sometimes modify the information entered for a repository in unexpected ways.  I suggest just adding the deb line directly to /etc/apt/sources.list, which should avoid anything happening when adding through the graphical interface.
Title: Re: Cannot add PPA: ''This PPA does not support trusty'' (SOLVED)
Post by: Johan on September 17, 2016, 07:12:58
You're absolutely right. I did the following just prior to opening the forum and seeing your response. Here's the story:

I woke up this morning realizing that there's no good reason for Synaptic to grief while adding bchemnet as a repository. After all, this the second installation of the same version of linux Mint on the machine, and on the first installation I had no problems with this process. So, I must be doing something incorrectly this time round.

Fueled by some hot french roast and a danish, I revisited this issue by trying to add bchemnet as a repository via the gui and the command line, monitoring sources.list as I went along. I saw that adding bchemnet via the command line updated sources.list without error, yet trying to add bchemnet via Synaptic caused grief. So it must be something I'm doing incorrectly in Synaptic.

Then, poking around in the Symantic Software sources dialog box revealed that bchemnet is in fact an added and enabled repository. However, it's listed in the "Additional Repositories" section, not the "PPA" section. So this problem was caused by operator error: I should have been adding the bchemnet repository as an "Additional Repository", not a "PPA". I verified this by removing bchemnet in Synaptic, confirming that sources.list contained no references to bchemnet, then added bchemnet using the "Additional Repository" section. Synaptic added and enabled bchemnet without grief.

I don't know if it may add value for someone to edit the "Setting Up the Repository" section of http://www.bchemnet.com/suldr/index.html such that it mentions adding bchemnet as an "Additional Repository" instead of as a "PPA". Then again, that's what this forum is for.

I hope this entry at least provides some small measure of entertainment at my expense... I continue to live, learn, and take better notes. Zim is helpful in this respect. Cheers.
Title: Re: Cannot add PPA: ''This PPA does not support trusty''. (SOLVED)
Post by: bchemnet on September 17, 2016, 11:43:48
I suspect many others have a similar problem.  I get many thousands of hits every month on the server for incorrect repository configurations, and now that you have explained this I suspect that a large portion, maybe most, are due to being set up as a PPA.  I will add this as a note to the setup instructions.